.button,
.link {
	text-align: center;
	font-weight: 700;
	font-size: 1.1rem;
	line-height: 1.5;
	text-transform: uppercase;
	cursor: pointer;
	border: 2px solid transparent;
	text-decoration: none;
	outline: none;

	i {
		margin-right: 5px;
	}
}


.button {
	border-color: transparent;
	padding: 10px 20px;
	border-radius: 5px;

	&--default {
		background: $default_color;
		color: white;


		&:hover {
			background: darken($default_color, 5%);
		}

		&:active,
		&:focus {
			background: lighten($default_color, 5%);
		}
	}

	&--danger {
		background: $red;
		color: white;
	}

	&--secundary {
		color: $default_color;
		background: lighten($default_color, 35%);
	}
}

.link {
	&--default {
		color: $default_color;
	}
}
